//return codes for console command interpreter
#define HANDLEDCOMMAND  	0
#define NOTMYCOMMAND    	1

#define CMD_LENGTH			25

#define NUM_COMMAND_SETS	3

#define NW_311_COMMANDS		0
#define NW_312_COMMANDS		1
#define NW_4_COMMANDS		2

#define NUM_COMMANDS_311	47
#define NUM_COMMANDS_312	62
#define NUM_COMMANDS_4		65

typedef struct {
	char *commandName;
	const char *sHelp;
} ConsCommand;

void	HandleHelpRequest(void *dummy);
void	ScheduleHelpCommand(void);

#define ABORT_REMIRROR			{"ABORT REMIRROR", AbortRemirrorHelp}
#define ADD_NAME_SPACE			{"ADD NAME SPACE", AddNameSpaceHelp}
#define BIND 						{"BIND", BindHelp}
#define BROADCAST 				{"BROADCAST", BroadcastHelp}
#define CLEAR_STATION			{"CLEAR STATION", ClearStationHelp}
#define CLS							{"CLS", ClsHelp}
#define CONFIG						{"CONFIG", ConfigHelp}
#define DISABLE_LOGIN			{"DISABLE LOGIN", DisableLoginHelp}
#define DISABLE_TTS				{"DISABLE TTS", DisableTTSHelp}
#define DISMOUNT					{"DISMOUNT", DismountHelp}
#define DISPLAY_NETWORKS		{"DISPLAY NETWORKS", DisplayNetworksHelp}
#define DISPLAY_SERVERS			{"DISPLAY SERVERS", DisplayServersHelp}
#define DOWN						{"DOWN", DownHelp}
#define ECHO_OFF					{"ECHO OFF", EchoOffHelp}
#define ECHO_ON					{"ECHO ON", EchoOnHelp}
#define ENABLE_LOGIN				{"ENABLE LOGIN", EnableLoginHelp}
#define ENABLE_TTS				{"ENABLE TTS", EnableTTSHelp}
#define EXIT						{"EXIT", ExitHelp}
#define FILE_SERVER_NAME		{"FILE SERVER NAME", FileServerNameHelp}
#define HELP						{"HELP", HelpHelp}
#define IPX_INTERNAL_NET		{"IPX INTERNAL NET", IPXInternalNetHelp}
#define LANGUAGE					{"LANGUAGE", LanguageHelp}
#define LIST_DEVICES				{"LIST DEVICES", ListDevicesHelp}
#define LOAD						{"LOAD", LoadHelp}
#define MAGAZINE_INSERTED		{"MAGAZINE INSERTED", MagazineInsertedHelp}
#define MAGAZINE_NOT_INSERTED	{"MAGAZINE NOT INSERTED", MagazineNotInsertedHelp}
#define MAGAZINE_NOT_REMOVED	{"MAGAZINE NOT REMOVED", MagazineNotRemovedHelp}
#define MAGAZINE_REMOVED		{"MAGAZINE REMOVED", MagazineRemovedHelp}
#define MEDIA_INSERTED			{"MEDIA INSERTED", MediaInsertedHelp}
#define MEDIA_NOT_INSERTED		{"MEDIA NOT INSERTED", MediaNotInsertedHelp}
#define MEDIA_NOT_REMOVED		{"MEDIA NOT REMOVED", MediaNotRemovedHelp}
#define MEDIA_REMOVED			{"MEDIA REMOVED", MediaRemovedHelp}
#define MEMORY_MAP				{"MEMORY MAP", MemoryMapHelp}
#define MEMORY						{"MEMORY", MemoryHelp}
#define MIRROR_STATUS			{"MIRROR STATUS", MirrorStatusHelp}
#define MODULES					{"MODULES", ModulesHelp}
#define MOUNT						{"MOUNT", MountHelp}
#define NAME						{"NAME", NameHelp}
#define OFF							{"OFF", OffHelp}
#define POUNDSIGN					{"#", PoundSignHelp}
#define PAUSE						{"PAUSE", PauseHelp}
#define PROTOCOL					{"PROTOCOL", ProtocolHelp}
#define REGISTER_MEMORY			{"REGISTER MEMORY", RegisterMemoryHelp}
#define REM							{"REM", RemHelp}
#define REMIRROR_PARTITION		{"REMIRROR PARTITION", RemirrorPartitionHelp}
#define REMOVE_DOS				{"REMOVE DOS", RemoveDOSHelp}
#define RESET_ROUTER				{"RESET ROUTER", ResetRouterHelp}
#define RESTART_SERVER			{"RESTART SERVER", RestartServerHelp}
#define SCAN_FOR_NEW_DEVICES	{"SCAN FOR NEW DEVICES", ScanForNewDevicesHelp}
#define SEARCH						{"SEARCH", SearchHelp}
#define SECURE_CONSOLE			{"SECURE CONSOLE", SecureConsoleHelp}
#define SEMICOLON					{";", SemicolonHelp}
#define SEND						{"SEND", SendHelp}
#define SET_TIME_ZONE			{"SET TIME ZONE", SetTimeZoneHelp}
#define SET_TIME					{"SET TIME", SetTimeHelp}
#define SET							{"SET", SetHelp}
#define SPEED						{"SPEED", SpeedHelp}
#define SPOOL						{"SPOOL", SpoolHelp}
#define TIME						{"TIME", TimeHelp}
#define TRACK_OFF					{"TRACK OFF", TrackOffHelp}
#define TRACK_ON					{"TRACK ON", TrackOnHelp}
#define UNBIND						{"UNBIND", UnbindHelp}
#define UNLOAD						{"UNLOAD", UnloadHelp}
#define VERSION					{"VERSION", VersionHelp}
#define VOLUME						{"VOLUME", VolumeHelp}

