#include "help.h"

const char AbortRemirrorHelp[] = "\rABORT REMIRROR partition_number\
\n\r Stops the remirroring of the specified partition.\
\n\r Example:  abort remirror 3\n\n\r";

const char AddNameSpaceHelp[] = "\rADD NAME SPACE name_space [TO [volume_name]]\
\n\r Allows non-DOS files to be stored on a volume.  The name space module must be\
\n\r loaded before this command can be used.\
\n\r Example:  add name space mac to sys\n\n\r";

const char BindHelp[] = "\rBIND protocol [TO] LAN_driver|board_name [driver_parameter...]\
\n\r     [protocol_parameter...]\
\n\r Links a specific network board to a communication protocol.  Packets received\
\n\r by a LAN adapter will be discarded unless it has been bound to a protocol.\
\n\r The LAN driver and protocol stack modules must be loaded before this command\
\n\r can be used.\
\n\r Example:  bind ipx to ne3200 [slot=3,frame=ethernet_ii] net=12345678\n\n\r";

const char BroadcastHelp[] = "\rBROADCAST \"message\" [[TO] username|connection_number] [[and|,] username|\
\n\r          connection_number...]\
\n\r Send a message to all users logged in or attached to a file server or to a\
\n\r list of users or connection numbers.\
\n\r Example:  broadcast \"Please delete unneeded files to free disk space\"\n\n\r";

const char ClearStationHelp[] = "\rCLEAR STATION station_number\
\n\r Removes all file server resources allocated to a specific station.\
\n\r Use with CAUTION!\
\n\r Example:  clear station 3\n\n\r";

const char ClsHelp[] = "\rCLS\
\n\r Clears the console screen.\
\n\r Example:  cls\n\n\r";

const char ConfigHelp[] = "\rCONFIG\
\n\r Displays configuration information.\
\n\r Example:  config\n\n\r";

const char DisableLoginHelp[] = "\rDISABLE LOGIN\
\n\r Prevent users from logging in.\
\n\r Example:  disable login\n\n\r";

const char DisableTTSHelp[] = "\rDISABLE TTS\
\n\r Manually disables NetWare Transaction Tracking System (TTS).  Primarily used\
\n\r only by application developers for testing purposes.\
\n\r Example:  disable tts\n\n\r";

const char DismountHelp[] = "\rDISMOUNT volume_name\
\n\r Allows volume maintenance or repairs while the file server is up by making a\
\n\r volume unavailable to users.\
\n\r Example:  dismount sys\n\n\r";

const char DisplayNetworksHelp[] = "\rDISPLAY NETWORKS\
\n\r Displays all network numbers (including hops/ticks) the internal router is\
\n\r aware of.\
\n\r Example:  display networks\n\n\r";

const char DisplayServersHelp[] = "\rDISPLAY SERVERS\
\n\r Displays all servers (including hops) the internal router is aware of.\
\n\r Example:  display servers\n\n\r";

const char DownHelp[] = "\rDOWN\
\n\r Ensures system and data integrity before turning off file server power.\
\n\r Example:  down\n\n\r";

const char EchoOffHelp[] = "\rECHO OFF\
\n\r Disables displaying of commands executed from NCF files.\
\n\r Example:  echo off\n\n\r";

const char EchoOnHelp[] = "\rECHO ON\
\n\r Enables displaying of commands executed from NCF files.\
\n\r Example:  echo on\n\n\r";

const char EnableLoginHelp[] = "\rENABLE LOGIN\
\n\r Allows users to log in or enables a SUPERVISOR account that has been locked\
\n\r out by intruder detection.\
\n\r Example:  enable login\n\n\r";

const char EnableTTSHelp[] = "\rENABLE TTS\
\n\r Manually enables NetWare Transaction Tracking System (TTS).\
\n\r Example:  enable tts\n\n\r";

const char ExitHelp[] = "\rEXIT\
\n\r Return to DOS (or reboot the machine if REMOVE DOS was issued) after downing\
\n\r the file server.\
\n\r Example:  exit\n\n\r";

const char FileServerNameHelp[] = "\rFILE SERVER NAME file_server_name\
\n\r Set the file server name (set in the AUTOEXEC.NCF file).\
\n\r Example:  file server name superserver\n\n\r";

const char HelpHelp[] /* save me! */ = "\rHELP [command]   or\
\n\rHELP ALL\
\n\r Displays a list of commands or the usage and description of a specific\
\n\r command.  HELP ALL displays descriptions for all valid commands.\
\n\r Example:  help bind\n\n\r";

const char IPXInternalNetHelp[] = "\rIPX INTERNAL NET\
\n\r Set file server's internal IPX network address (set in the AUTOEXEC.NCF file).\
\n\r Example:  ipx internal net 99aabbcc\n\n\r";

const char LanguageHelp[] = "\rLANGUAGE                      Display current NLM language.\
\n\rLANGUAGE list                 Display list of available languages.\
\n\rLANGUAGE name|number          Set preferred NLM language by name or number.\
\n\rLANGUAGE add number name      Add a new language name and number.\
\n\rLANGUAGE ren number new_name  Rename the language specified by number.\
\n\r Example:  language spanish\n\n\r";

const char ListDevicesHelp[] = "\rLIST DEVICES\
\n\r Lists all of the physical devices on the system.\
\n\r Example:  list devices\n\n\r";

const char LoadHelp[] = "\rLOAD [path] loadable_module [parameter...]\
\n\r Links a loadable module with the operating system.\
\n\r Example:  load monitor\n\n\r";

const char MagazineInsertedHelp[] = "\rMAGAZINE INSERTED\
\n\r Acknowledges the insertion of the specified media magazine in response to the\
\n\r \"Insert Magazine\" console alert.\
\n\r Example:  magazine inserted\n\n\r";

const char MagazineNotInsertedHelp[] = "\rMAGAZINE NOT INSERTED\
\n\r Acknowledges that the insertion of the specified media magazine was\
\n\r NOT performed.\
\n\r Example:  magazine not inserted\n\n\r";

const char MagazineNotRemovedHelp[] = "\rMAGAZINE NOT REMOVED\
\n\r Acknowledges that the removal of the magazine was NOT performed.\
\n\r Example:  magazine not removed\n\n\r";

const char MagazineRemovedHelp[] = "\rMAGAZINE REMOVED\
\n\r Acknowledges the removal of a magazine from the specified device in response\
\n\r to the \"Remove Magazine\" console alert.\
\n\r Example:  remove magazine\n\n\r";

const char MediaInsertedHelp[] = "\rMEDIA INSERTED\
\n\r Acknowledges the insertion of the specified media in response to the \"Insert\
\n\r Media\" console alert.\
\n\r Example:  media inserted\n\n\r";

const char MediaNotInsertedHelp[] = "\rMEDIA NOT INSERTED\
\n\r Acknowledges that the insertion of the specified media was NOT performed.\
\n\r Example:  media not inserted\n\n\r";

const char MediaNotRemovedHelp[] = "\rMEDIA NOT REMOVED\
\n\r Acknowledges that the removal of the media was NOT performed.\
\n\r Example:  media not removed\n\n\r";

const char MediaRemovedHelp[] = "\rMEDIA REMOVED\
\n\r Acknowledges the removal of the media from the specified device in response to\
\n\r the \"Remove Media\" console alert.\
\n\r Example:  remove media\n\n\r";

const char MemoryMapHelp[] = "\rMEMORY MAP\
\n\r Displays a map of server RAM.\
\n\r Example:  memory map\n\n\r";

const char MemoryHelp[] = "\rMEMORY\
\n\r Displays the amount of server RAM.\
\n\r Example:  memory\n\n\r";

const char MirrorStatusHelp[] = "\rMIRROR STATUS\
\n\r Displays the status of NetWare mirrored partitions.\
\n\r Example:  mirror status\n\n\r";

const char ModulesHelp[] = "\rMODULES\
\n\r Displays a list of loaded modules\
\n\r Example:  modules\n\n\r";

const char MountHelp[] = "\rMOUNT volume_name   or\
\n\rMOUNT ALL\
\n\r Makes a volume available to users.\
\n\r Example:  mount sys\n\n\r";

const char NameHelp[] = "\rNAME\
\n\r Displays the server's name.\
\n\r Example:  name\n\n\r";

const char OffHelp[] = "\rOFF\
\n\r Clears the console screen.\
\n\r Example:  off\n\n\r";

const char PauseHelp[] = "\rPAUSE\
\n\r Waits for a key to be pressed before continuing.  Used in NCF files.\
\n\r Example:  pause\n\n\r";

const char PoundSignHelp[] = "\r#\
\n\r Specifies this line as a comment (used in NCF files).\
\n\r Example:  #This NCF file will initialize the server\n\n\r";

const char ProtocolHelp[] = "\rPROTOCOL   or\
\n\rPROTOCOL REGISTER protocol_name frame id_number\
\n\r Views registered protocols or registers additional protocols and frame types.\
\n\r Example:  protocol register ip ethernet_ii 800\n\n\r";

const char RegisterMemoryHelp[] = "\rREGISTER MEMORY start_address length\
\n\r Manually registers memory above 16 Megabytes with the operating system.\
\n\r Example:  register memory 1000000 1250000\n\n\r";

const char RemoveDOSHelp[] = "\rREMOVE DOS\
\n\r Removes DOS from the file server's memory.  Also adds security by preventing\
\n\r loadable modules from being loaded from DOS drives.\
\n\r Example:  remove dos\n\n\r";

const char RemirrorPartitionHelp[] = "\rREMIRROR PARTITION partition_number\
\n\r Attempts to start the remirror of the specified partition.\
\n\r Example:  remirror partition 4\n\n\r";

const char RemHelp[] = "\rREM\
\n\r Specifies this line as a comment (used in NCF files).\
\n\r Example:  rem This NCF file will load and initialize the data base\n\n\r";

const char ResetRouterHelp[] = "\rRESET ROUTER\
\n\r Resets the internal router tables\
\n\r Example:  reset router\n\n\r";

const char RestartServerHelp[] = "\rRESTART SERVER options\
\n\r Restarts server execution after downing the server\
\n\r Options:  '-ns' - do not use the startup NCF file\
\n\r           '-na' - do not use the autoexec NCF file\
\n\r           '-d' - break into the internal debugger\
\n\r Example:  restart server\n\n\r";

const char ScanForNewDevicesHelp[] = "\rSCAN FOR NEW DEVICES\
\n\r Causes the OS device drivers to look for and add new devices on the system.\
\n\r Example:  scan for new devices\n\n\r";

const char SearchHelp[] = "\rSEARCH [ADD [number]] path   or\
\n\rSEARCH DEL number\
\n\r Tells the operating system where to look for loadable modules and NCF files.\
\n\r The default is SYS:SYSTEM.\
\n\r Example:  search add 3 c:\\nlms\
\n\r Example:  search del 1\n\n\r";

const char SecureConsoleHelp[] = "\rSECURE CONSOLE\
\n\r Adds the following security features:\
\n\r  Allows loading loadable modules ONLY from the current SEARCH paths.\
\n\r  Allows ONLY the console operator to modify the date and time.\
\n\r  Removes DOS from the file server.\
\n\r  Prevents keyboard entry into the internal debugger.\
\n\r  Example:  secure console\n\n\r";

const char SemicolonHelp[] = "\r;\
\n\rSpecifies this line as a comment (used in NCF files).\
\n\r Example:  ;This NCF file will unload and reload the lan driver\n\n\r";

const char SendHelp[] /* call 911 */ = "\rSEND \"message\" [[TO] username|connection_number] [[and|,] username|\
\n\r     connection_number...]\
\n\r Sends a message to all users logged in or attached to a file server or to a\
\n\r list of users or connection numbers.\
\n\r Example:  send \"Your deleted files have been restored\" to jack and jill\n\n\r";

const char SetTimeZoneHelp[] = "\rSET TIME ZONE   or\
\n\rSET TIME ZONE zone [hour [daylight]]\
\n\r Displays or sets the file server time zone.\
\n\r Example:  set time zone mst7mdt\n\n\r";

const char SetTimeHelp[] = "\rSET TIME [month/day/year] [hour:minute:second]\
\n\r Sets the file server date and time.\
\n\r Example:  set time 9 October 1993 5:25:00 pm\n\n\r";

const char SetHelp[] = "\rSET [parameter_name] [= parameter_value]\
\n\r View or set current operating system parameters.  Most parameters do not need\
\n\r to be changed, however they may be configured to fit your situation.\
\n\r Example:  set replace console prompt with server name[] = off\n\n\r";

const char SpeedHelp[] = "\rSPEED\
\n\r Display processor relative speed.  Some machines have an AUTO or COMMON speed\
\n\r mode that may reduce the processor speed to as little as 6MHz.\
\n\r Example:  speed\n\n\r";

const char SpoolHelp[] = "\rSPOOL spool_number [TO] [QUEUE] queue_name\
\n\r Create, change or display spooler mappings.\
\n\r Example:  spool 1 to queue laser\n\n\r";

const char TimeHelp[] = "\rTIME\
\n\r Displays the file server current date and time.\
\n\r Example:  time\n\n\r";

const char TrackOffHelp[] = "\rTRACK OFF\
\n\r Disables the router tracking screen.\
\n\r Example:  track off\n\n\r";

const char TrackOnHelp[] = "\rTRACK ON\
\n\r Enables the router tracking screen.\
\n\r Example:  track on\n\n\r";

const char UnbindHelp[] = "\rUNBIND protocol [FROM] LAN_driver|board_name [driver_parameter...]\
\n\r Unlinks a specific network board from a communication protocol.\
\n\r Example:  unbind ipx from ne3200 [slot=3,frame=ethernet_ii]\n\n\r";

const char UnloadHelp[] = "\rUNLOAD loadable_module\
\n\r Unlinks a loadable module from the operating system that was previously linked\
\n\r to the operating system with the LOAD command. Example:  unload monitor\n\n\r";

const char VersionHelp[] = "\rVERSION\
\n\r Displays the file server version information and copyright notice.\
\n\r Example:  version\n\n\r";

const char VolumeHelp[] = "\rVOLUME\
\n\r Displays a list of currently mounted volumes.\
\n\r Example:  volume\n\n\r";

ConsCommand commands311[NUM_COMMANDS_311] =
{
ADD_NAME_SPACE,
BIND,
BROADCAST,
CLEAR_STATION,
CLS,
CONFIG,
DISABLE_LOGIN,
DISABLE_TTS,
DISMOUNT,
DISPLAY_NETWORKS,
DISPLAY_SERVERS,
DOWN,
ECHO_OFF,
ECHO_ON,
ENABLE_LOGIN,
ENABLE_TTS,
EXIT,
FILE_SERVER_NAME,
HELP,
IPX_INTERNAL_NET,
LOAD,
MEMORY,
MODULES,
MOUNT,
NAME,
OFF,
POUNDSIGN,
PROTOCOL,
REGISTER_MEMORY,
REMOVE_DOS,
RESET_ROUTER,
SEARCH,
SECURE_CONSOLE,
SEMICOLON,
SEND,
SET_TIME_ZONE,
SET_TIME,
SET,
SPEED,
SPOOL,
TIME,
TRACK_OFF,
TRACK_ON,
UNBIND,
UNLOAD,
VERSION,
VOLUME,
};


ConsCommand commands312[NUM_COMMANDS_312] =
{
ABORT_REMIRROR,
ADD_NAME_SPACE,
BIND,
BROADCAST,
CLEAR_STATION,
CLS,
CONFIG,
DISABLE_LOGIN,
DISABLE_TTS,
DISMOUNT,
DISPLAY_NETWORKS,
DISPLAY_SERVERS,
DOWN,
ECHO_OFF,
ECHO_ON,
ENABLE_LOGIN,
ENABLE_TTS,
EXIT,
FILE_SERVER_NAME,
HELP,
IPX_INTERNAL_NET,
LIST_DEVICES,
LOAD,
MAGAZINE_INSERTED,
MAGAZINE_NOT_INSERTED,
MAGAZINE_NOT_REMOVED,
MAGAZINE_REMOVED,
MEDIA_INSERTED,
MEDIA_NOT_INSERTED,
MEDIA_NOT_REMOVED,
MEDIA_REMOVED,
MEMORY_MAP,
MEMORY,
MIRROR_STATUS,
MODULES,
MOUNT,
NAME,
OFF,
POUNDSIGN,
PAUSE,
PROTOCOL,
REGISTER_MEMORY,
REMIRROR_PARTITION,
REMOVE_DOS,
RESET_ROUTER,
SCAN_FOR_NEW_DEVICES,
SEARCH,
SECURE_CONSOLE,
SEMICOLON,
SEND,
SET_TIME_ZONE,
SET_TIME,
SET,
SPEED,
SPOOL,
TIME,
TRACK_OFF,
TRACK_ON,
UNBIND,
UNLOAD,
VERSION,
VOLUME
};

ConsCommand commands4[NUM_COMMANDS_4] =
{
ABORT_REMIRROR,
ADD_NAME_SPACE,
BIND,
BROADCAST,
CLEAR_STATION,
CLS,
CONFIG,
DISABLE_LOGIN,
DISABLE_TTS,
DISMOUNT,
DISPLAY_NETWORKS,
DISPLAY_SERVERS,
DOWN,
ECHO_OFF,
ECHO_ON,
ENABLE_LOGIN,
ENABLE_TTS,
EXIT,
FILE_SERVER_NAME,
HELP,
IPX_INTERNAL_NET,
LANGUAGE,
LIST_DEVICES,
LOAD,
MAGAZINE_INSERTED,
MAGAZINE_NOT_INSERTED,
MAGAZINE_NOT_REMOVED,
MAGAZINE_REMOVED,
MEDIA_INSERTED,
MEDIA_NOT_INSERTED,
MEDIA_NOT_REMOVED,
MEDIA_REMOVED,
MEMORY_MAP,
MEMORY,
MIRROR_STATUS,
MODULES,
MOUNT,
NAME,
OFF,
POUNDSIGN,
PAUSE,
PROTOCOL,
REGISTER_MEMORY,
REM,
REMIRROR_PARTITION,
REMOVE_DOS,
RESET_ROUTER,
RESTART_SERVER,
SCAN_FOR_NEW_DEVICES,
SEARCH,
SECURE_CONSOLE,
SEMICOLON,
SEND,
SET_TIME_ZONE,
SET_TIME,
SET,
SPEED,
SPOOL,
TIME,
TRACK_OFF,
TRACK_ON,
UNBIND,
UNLOAD,
VERSION,
VOLUME
};

ConsCommand *commandSets[NUM_COMMAND_SETS] = {
	commands311,
	commands312,
	commands4
};


