#include <conio.h>
#include <process.h>
#include <string.h>
#include "help.h"

static	LONG	HelpCommandThread;
extern	char	helpCommand[CMD_LENGTH];
extern	int	majorVersion, minorVersion;
extern	ConsCommand *commandSets[NUM_COMMAND_SETS];

void    ScheduleHelpCommand()
{
		  ResumeThread(HelpCommandThread);
}

void    HandleHelpRequest(void *dummy)
{
	int	i, j;
	int	nCommands;
	int	commandSet;
	char	buf[101];
	char	*strPtr;

	//Thread initialization
	if (majorVersion == 4)
	{
		nCommands = NUM_COMMANDS_4;
		commandSet = NW_4_COMMANDS;
	}
	else if (minorVersion == 11)
	{
		nCommands = NUM_COMMANDS_311;
		commandSet = NW_311_COMMANDS;
	}
	else if (minorVersion == 12)
	{
		nCommands = NUM_COMMANDS_312;
		commandSet = NW_312_COMMANDS;
	}
	else {
		ConsolePrintf("HELP.NLM: I don't know about this version of NetWare");
		return;
	}

	//Go to sleep
	SuspendThread(HelpCommandThread = GetThreadID());

	//Main thread loop
	for(;;){
		strupr(helpCommand);

		if (strlen(helpCommand) == 0)
		{
			i = 0;
			do {
				ConsolePrintf("\n\r%-22s\t%-22s\t%-22s", 	commandSets[commandSet][i].commandName,
																		commandSets[commandSet][i+1].commandName,
																		commandSets[commandSet][i+2].commandName);
				i = i + 3;
			} while (i <= nCommands - 3);

			if (i == nCommands - 2)
				ConsolePrintf("\n\r%-22s\t%-22s",	commandSets[commandSet][i].commandName,
																commandSets[commandSet][i+1].commandName);
			else
				ConsolePrintf("\n\r%s", commandSets[commandSet][i].commandName);

			ConsolePrintf("\n\n\rType HELP [command] to display specific command help\n\r");
		}
		else
		{
			i = 0;
			do {
				if (!strcmp(helpCommand, commandSets[commandSet][i].commandName))
				{
					//kludge alert!! NetWare 3.11 has trouble displaying strings longer that 200
					//chars, so we'll break the help string into pieces before calling ConsolePrintf
					strPtr = (char *)commandSets[commandSet][i].sHelp;
					memset(buf, 0, 101);
					j = 1;
					do
					{
						memcpy(buf, strPtr, 100);
						ConsolePrintf("%s", buf);
						strPtr += 100;
						j++;
					} while (j<=1+(strlen(commandSets[commandSet][i].sHelp)/100));
					ConsolePrintf("\r");
					break;
				}
				i = i + 1;
			} while (i < nCommands);

			if (i == nCommands)
			{
				ConsolePrintf("\r'%s' is not a valid command.", helpCommand);
				ConsolePrintf("\n\rType 'HELP' for a list of valid commands.\n\r");
			}
		}
		SuspendThread(HelpCommandThread = GetThreadID());
	}
}

